## LOC Stop request LOC Stop request |

## Functions

QmiMessageLocStopInput * | qmi_message_loc_stop_input_new ()
QmiMessageLocStopInput * | qmi_message_loc_stop_input_ref ()
void | qmi_message_loc_stop_input_unref ()
gboolean | qmi_message_loc_stop_input_get_session_id ()
gboolean | qmi_message_loc_stop_input_set_session_id ()
QmiMessageLocStopOutput * | qmi_message_loc_stop_output_ref ()
void | qmi_message_loc_stop_output_unref ()
gboolean | qmi_message_loc_stop_output_get_result ()
void | qmi_client_loc_stop ()
QmiMessageLocStopOutput * | qmi_client_loc_stop_finish ()

## Types and Values

| QmiMessageLocStopInput
| QmiMessageLocStopOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocStopInput
        ╰── QmiMessageLocStopOutput

## Description

## Functions

### qmi_message_loc_stop_input_new ()

    QmiMessageLocStopInput *
    qmi_message_loc_stop_input_new (void);

Allocates a new QmiMessageLocStopInput.

#### Returns

the newly created QmiMessageLocStopInput. The returned value should be freed with `qmi_message_loc_stop_input_unref()`.

Since: 1.20

### qmi_message_loc_stop_input_ref ()

    QmiMessageLocStopInput *
    qmi_message_loc_stop_input_ref (QmiMessageLocStopInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocStopInput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_loc_stop_input_unref ()

    void
    qmi_message_loc_stop_input_unref (QmiMessageLocStopInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocStopInput. |

Since: 1.20

### qmi_message_loc_stop_input_get_session_id ()

    gboolean
    qmi_message_loc_stop_input_get_session_id
                                   (QmiMessageLocStopInput *self,
                                    guint8 *value_session_id,
                                    GError **error);

Get the 'Session ID' field from `self` .

#### Parameters

self | a QmiMessageLocStopInput. |
value_session_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_stop_input_set_session_id ()

    gboolean
    qmi_message_loc_stop_input_set_session_id
                                   (QmiMessageLocStopInput *self,
                                    guint8 value_session_id,
                                    GError **error);

Set the 'Session ID' field in the message.

#### Parameters

self | a QmiMessageLocStopInput. |
value_session_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_stop_output_ref ()

    QmiMessageLocStopOutput *
    qmi_message_loc_stop_output_ref (QmiMessageLocStopOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocStopOutput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_loc_stop_output_unref ()

    void
    qmi_message_loc_stop_output_unref (QmiMessageLocStopOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocStopOutput. |

Since: 1.20

### qmi_message_loc_stop_output_get_result ()

    gboolean
    qmi_message_loc_stop_output_get_result
                                   (QmiMessageLocStopOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocStopOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.20

### qmi_client_loc_stop ()

    void
    qmi_client_loc_stop (QmiClientLoc *self,
                         QmiMessageLocStopInput *input,
                         guint timeout,
                         GCancellable *cancellable,
                         GAsyncReadyCallback callback,
                         gpointer user_data);

Asynchronously sends a Stop request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_stop_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocStopInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.20

### qmi_client_loc_stop_finish ()

    QmiMessageLocStopOutput *
    qmi_client_loc_stop_finish (QmiClientLoc *self,
                                GAsyncResult *res,
                                GError **error);

Finishes an async operation started with `qmi_client_loc_stop()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_stop()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocStopOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_stop_output_unref()`.

Since: 1.20

## Types and Values

### QmiMessageLocStopInput

    typedef struct _QmiMessageLocStopInput QmiMessageLocStopInput;

The QmiMessageLocStopInput structure contains private data and should only be accessed using the provided API.

Since: 1.20

### QmiMessageLocStopOutput

    typedef struct _QmiMessageLocStopOutput QmiMessageLocStopOutput;

The QmiMessageLocStopOutput structure contains private data and should only be accessed using the provided API.

Since: 1.20